/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package javafx.tictactoe;

import org.kordamp.bootstrapfx.BootstrapFX;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.*;

public class App extends Application {
    public String getGreeting() {
        return "Hello World!";
    }

    public static void main(String[] args) {
        System.out.println(new App().getGreeting());
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) throws Exception {
        MainLayout root = new MainLayout();

        Scene scene = new Scene(root);
        scene.getStylesheets().add(BootstrapFX.bootstrapFXStylesheet());

        primaryStage.setScene(scene);
        primaryStage.setAlwaysOnTop(true);
        primaryStage.setResizable(false);
        primaryStage.setTitle(getGreeting());

        primaryStage.show();

    }

}
